---
title: Podpora slovenčiny v knižnici Spacy
published: true
taxonomy:
    category: [project]
    tag: [spacy,nn,pos,ner,annotation,nlp]
    author: Daniel Hladek
---

[Trénovanie modelov Spacy](https://spacy.io/usage/training)

## Úlohy

- Vytvoriť modul v jazyku Python  pre podporu slovenčiny
- Pripraviť trénovacie dáta pomocu frameworku [Prodigy](/topics/prodigy).
- Natrénovať štatistické modely:
   - pre morfologickú analýzu 
   - rozpoznávanie pomenovaných entít

## Repozitár

- https://github.com/hladek/spacy-skmodel
- https://git.kemt.fei.tuke.sk/jo673fv/sk-spacy (slovenské stop words a pravidlá)
- https://files.kemt.fei.tuke.sk/minio/models/spacy/ Hotové spacy modely

## Ľudia

- [Maroš Harahus](/students/2016/maros_harahus) (štatistické značkovanie)
- [Kristián Sopkovič](/students/2019/kristian_sopokovic) (vylepšenie parametrov, transformery)

## Ukončené projekty

- [Lukáš Pokrývka](/students/2016/lukas_pokryvka) (Word Embedding Modely)
- [Martin Wencel](/students/2018/martin_wencel) demo aplikácia
